3.52 m33-4

Sylar666

Inactive User
Joined
Dec 11, 2007
Messages
140
Reaction score
0
Location
Nottingham
Hi i have a psp on firmware 3.52 m33-4 and i can not update every time i try it says it has to be 3.51 m33-2 or higher and i am higher can any one help? thnx in advance
 
TEST
Top